Gentoo Archives: gentoo-commits

From: "Amadeusz Zolnowski (aidecoe)" <aidecoe@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in sys-kernel/dracut/files: dracut-017-usrmount-newroot-etc-check.patch dracut-017-crypt-simplify-rd.luks.uuid-testing.patch dracut-017-convertfs-fix-check-for-usr-bin.patch dracut-017-multipath-udev-rules.patch dracut-017-usrmount-fstab-comments.patch
Date: Wed, 29 Feb 2012 18:13:45
Message-Id: 20120229181320.2AA842004B@flycatcher.gentoo.org
aidecoe     12/02/29 18:13:20

  Added:                dracut-017-usrmount-newroot-etc-check.patch
                        dracut-017-crypt-simplify-rd.luks.uuid-testing.patch
                        dracut-017-convertfs-fix-check-for-usr-bin.patch
                        dracut-017-multipath-udev-rules.patch
                        dracut-017-usrmount-fstab-comments.patch
  Log:
  sys-kernel/dracut: Version bump to 017.  Rels bug #406023 and bug #405921.
  
  Backported patches:
  - fixes for usrmount (bug #406023)
  - workaround for broken dm-setup not detecting /dev/dm-* (bug #405921)
  - fix for convertfs
  
  NEWS
  ~~~~
  - a _lot_ faster than dracut-016 in image creation
  - systemd service dracut-shutdown.service
  - livenet fixes
  - ssh-client module install fix
  - root=iscsi:... fixed
  - lots of restructuring and optimizing in dracut-functions.sh
  - usrmount: honor fs_passno in /etc/fstab
  - renamed all shell scripts to .sh
  - new option "--omit-drivers" and config option "omit_drivers"
  - hostonly mode fixups
  
  (Portage version: 2.1.10.48/cvs/Linux x86_64)

Revision  Changes    Path
1.1                  sys-kernel/dracut/files/dracut-017-usrmount-newroot-etc-check.patch

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-kernel/dracut/files/dracut-017-usrmount-newroot-etc-check.patch?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-kernel/dracut/files/dracut-017-usrmount-newroot-etc-check.patch?rev=1.1&content-type=text/plain

Index: dracut-017-usrmount-newroot-etc-check.patch
===================================================================
From fdcfa200db3d2482ef1f63a4c6d024a556d17337 Mon Sep 17 00:00:00 2001
From: Harald Hoyer <harald@××××××.com>
Date: Tue, 28 Feb 2012 16:35:08 +0100
Subject: [PATCH 2/4] 98usrmount/mount-usr.sh: check, if we have
 $NEWROOT/etc/fstab

---
 modules.d/98usrmount/mount-usr.sh |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

diff --git a/modules.d/98usrmount/mount-usr.sh b/modules.d/98usrmount/mount-usr.sh
index f9d049e..39f75b9 100755
--- a/modules.d/98usrmount/mount-usr.sh
+++ b/modules.d/98usrmount/mount-usr.sh
@@ -73,4 +73,6 @@ mount_usr()
     fi
 }
 
-mount_usr
+if [ -f "$NEWROOT/etc/fstab" ]; then
+    mount_usr
+fi
-- 
1.7.8.4




1.1                  sys-kernel/dracut/files/dracut-017-crypt-simplify-rd.luks.uuid-testing.patch

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-kernel/dracut/files/dracut-017-crypt-simplify-rd.luks.uuid-testing.patch?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-kernel/dracut/files/dracut-017-crypt-simplify-rd.luks.uuid-testing.patch?rev=1.1&content-type=text/plain

Index: dracut-017-crypt-simplify-rd.luks.uuid-testing.patch
===================================================================
From a654b70ec172be6de1662011b723ca2ba8afbd64 Mon Sep 17 00:00:00 2001
From: Harald Hoyer <harald@××××××.com>
Date: Wed, 29 Feb 2012 16:20:02 +0100
Subject: [PATCH 4/4] 90crypt/parse-crypt.sh: simplify rd.luks.uuid testing

---
 modules.d/90crypt/parse-crypt.sh |   15 ++-------------
 1 files changed, 2 insertions(+), 13 deletions(-)

diff --git a/modules.d/90crypt/parse-crypt.sh b/modules.d/90crypt/parse-crypt.sh
index 2ab3a9f..f96b59a 100755
--- a/modules.d/90crypt/parse-crypt.sh
+++ b/modules.d/90crypt/parse-crypt.sh
@@ -24,21 +24,10 @@ else
                 printf -- '$env{DEVNAME} luks-$env{ID_FS_UUID} %s"\n' $tout
             } >> /etc/udev/rules.d/70-luks.rules.new
 
-
-            [ -e $hookdir/initqueue/finished/90-crypt.sh ] || \
-            {
-                printf -- 'UUIDS=:\n'
-                printf -- 'for dm in /dev/dm-*; do\n'
-                printf -- '[ -e "$dm" ] || exit 1\n'
-                printf -- 'dmid=`/sbin/dmsetup info -c -o uuid --noheadings "$dm"`\n'
-                printf -- 'uuid=${dmid#CRYPT-LUKS*-}\n'
-                printf -- '[ "x$uuid" = "x$dmid" ] && continue\n'
-                printf -- 'UUIDS="${UUIDS}${uuid%%%%-*}:"\n'
-                printf -- 'done\n'
-            } > $hookdir/initqueue/finished/90-crypt.sh
             uuid=$luksid
             while [ "$uuid" != "${uuid#*-}" ]; do uuid=${uuid%%-*}${uuid#*-}; done
-            printf -- '[ "x${UUIDS#*:%s*:}" != "x$UUIDS" ] || exit 1\n' $uuid >> $hookdir/initqueue/finished/90-crypt.sh
+            printf -- '[ -e /dev/disk/by-id/dm-uuid-CRYPT-LUKS?-*%s*-* ] || exit 1\n' $uuid \
+                >> $hookdir/initqueue/finished/90-crypt.sh
 
             {
                 printf -- '[ -e /dev/disk/by-uuid/*%s* ] || ' $luksid
-- 
1.7.8.4




1.1                  sys-kernel/dracut/files/dracut-017-convertfs-fix-check-for-usr-bin.patch

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-kernel/dracut/files/dracut-017-convertfs-fix-check-for-usr-bin.patch?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-kernel/dracut/files/dracut-017-convertfs-fix-check-for-usr-bin.patch?rev=1.1&content-type=text/plain

Index: dracut-017-convertfs-fix-check-for-usr-bin.patch
===================================================================
From b6aaac5020cd2e4ee8aaff300ed1a2dbf7bcd6b4 Mon Sep 17 00:00:00 2001
From: Harald Hoyer <harald@××××××.com>
Date: Wed, 29 Feb 2012 13:21:51 +0100
Subject: [PATCH 3/4] 30convertfs/convertfs.sh: correct check for /usr/bin

---
 modules.d/30convertfs/convertfs.sh |   17 ++++++++++-------
 1 files changed, 10 insertions(+), 7 deletions(-)

diff --git a/modules.d/30convertfs/convertfs.sh b/modules.d/30convertfs/convertfs.sh
index 69c3b3e..aa2c8b1 100755
--- a/modules.d/30convertfs/convertfs.sh
+++ b/modules.d/30convertfs/convertfs.sh
@@ -21,13 +21,13 @@ while [[ "$ROOT" != "${ROOT%/}" ]]; do
     ROOT=${ROOT%/}
 done
 
-if [ ! -L $ROOT/var/run ]; then
+if [ ! -L $ROOT/var/run -a -e $ROOT/var/run ]; then
     echo "Converting /var/run to symlink"
     mv -f $ROOT/var/run $ROOT/var/run.runmove~
     ln -sfn ../run $ROOT/var/run
 fi
 
-if [ ! -L $ROOT/var/lock ]; then
+if [ ! -L $ROOT/var/lock -a -e $ROOT/var/lock ]; then
     echo "Converting /var/lock to symlink"
     mv -f $ROOT/var/lock $ROOT/var/lock.lockmove~
     ln -sfn ../run/lock $ROOT/var/lock
@@ -42,16 +42,19 @@ needconvert() {
     return 1
 }
 
+if ! [ -e "$ROOT/usr/bin" ]; then
+    echo "$ROOT/usr/bin does not exist!"
+    echo "Make sure, the kernel command line has enough information"
+    echo "to mount /usr (man dracut.cmdline)"
+    exit 1
+fi
+
+
 if ! needconvert; then
     echo "Your system is already converted."
     exit 0
 fi
 
-if [ -e "$ROOT/usr/bin" ]; then
-    echo "$ROOT/usr/bin does not exist"
-    exit 1
-fi
-
 testfile="$ROOT/.usrmovecheck$$"
 rm -f "$testfile"
 > "$testfile"
-- 
1.7.8.4




1.1                  sys-kernel/dracut/files/dracut-017-multipath-udev-rules.patch

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-kernel/dracut/files/dracut-017-multipath-udev-rules.patch?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-kernel/dracut/files/dracut-017-multipath-udev-rules.patch?rev=1.1&content-type=text/plain

Index: dracut-017-multipath-udev-rules.patch
===================================================================
From 7f3e0c13f1c10e93c3823b6367f9ac83865f3d90 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Amadeusz=20=C5=BBo=C5=82nowski?= <aidecoe@×××××××.name>
Date: Fri, 25 Feb 2011 01:44:25 +0100
Subject: [PATCH] 90multipath: added kpartx.rules; multipath.rules - different prefix

---
 modules.d/90multipath/module-setup.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/modules.d/90multipath/module-setup.sh b/modules.d/90multipath/module-setup.sh
index f78517c..3f4f612 100755
--- a/modules.d/90multipath/module-setup.sh
+++ b/modules.d/90multipath/module-setup.sh
@@ -58,6 +58,6 @@ install() {
 
     inst_hook pre-trigger 02 "$moddir/multipathd.sh"
     inst_hook pre-pivot   02 "$moddir/multipathd-stop.sh"
-    inst_rules 40-multipath.rules
+    inst_rules 40-multipath.rules 65-multipath.rules 66-kpartx.rules
 }
 
-- 
1.7.4.1




1.1                  sys-kernel/dracut/files/dracut-017-usrmount-fstab-comments.patch

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-kernel/dracut/files/dracut-017-usrmount-fstab-comments.patch?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-kernel/dracut/files/dracut-017-usrmount-fstab-comments.patch?rev=1.1&content-type=text/plain

Index: dracut-017-usrmount-fstab-comments.patch
===================================================================
From cc74a06f4cf602f198092284d196fc4507bd806c Mon Sep 17 00:00:00 2001
From: Harald Hoyer <harald@××××××.com>
Date: Tue, 28 Feb 2012 12:54:01 +0100
Subject: [PATCH 1/4] 98usrmount/mount-usr.sh: ignore comments in fstab

---
 modules.d/98usrmount/mount-usr.sh |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/modules.d/98usrmount/mount-usr.sh b/modules.d/98usrmount/mount-usr.sh
index 3e23b15..f9d049e 100755
--- a/modules.d/98usrmount/mount-usr.sh
+++ b/modules.d/98usrmount/mount-usr.sh
@@ -39,6 +39,7 @@ mount_usr()
     local _dev _mp _fs _opts _rest _usr_found _ret _freq _passno
     # check, if we have to mount the /usr filesystem
     while read _dev _mp _fs _opts _freq _passno; do
+        [ "${_dev%%#*}" != "$_dev" ] && continue
         if [ "$_mp" = "/usr" ]; then
             case "$_dev" in
                 LABEL=*)
-- 
1.7.8.4